# Class GeneAnnotationReader

java.lang.Object
picard.annotation.GeneAnnotationReader

public class GeneAnnotationReader extends Object
Load gene annotations into an OverlapDetector of Gene objects. Currently only refFlat format is accepted.

## Constructor Summary

Constructors
Constructor
Description
`GeneAnnotationReader()`

## Method Summary

Modifier and Type
Method
Description
`static htsjdk.samtools.util.OverlapDetector<Gene>`
`loadRefFlat(File refFlatFile, htsjdk.samtools.SAMSequenceDictionary sequenceDictionary)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeneAnnotationReader

public GeneAnnotationReader()

## Method Details

### loadRefFlat

public static htsjdk.samtools.util.OverlapDetector<Gene> loadRefFlat(File refFlatFile, htsjdk.samtools.SAMSequenceDictionary sequenceDictionary)